| Home | Libraries | People | FAQ | More

## Struct null_context

boost::proto::context::null_context — An evaluation context for proto::eval() that simply evaluates each child expression, doesn't combine the results at all, and returns void.

## Synopsis

    // In header: <boost/proto/context/null.hpp>

    struct null_context {
      // member classes/structs/unions
      template<typename Expr, typename ThisContext = null_context const>
      struct eval :  proto::context::null_eval< Expr, ThisContext > {
      };
    };

## Description